summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1998-04-17 20:06:16 (GMT)
committerFred Drake <fdrake@acm.org>1998-04-17 20:06:16 (GMT)
commit7984256f4d609b1fec25e4764e8944abf73897e9 (patch)
treeb1a8fc160e4172760d7503d44eb05ff6c548ee3b
parent5ccf330e4c0912bbca921fd5ac76aa89c0e195b9 (diff)
downloadcpython-7984256f4d609b1fec25e4764e8944abf73897e9.zip
cpython-7984256f4d609b1fec25e4764e8944abf73897e9.tar.gz
cpython-7984256f4d609b1fec25e4764e8944abf73897e9.tar.bz2
build_ps(): Fix flags to dvips.
build_html(): Deal with node2label.pl a little better.
-rwxr-xr-xDoc/tools/mkhowto.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/Doc/tools/mkhowto.sh b/Doc/tools/mkhowto.sh
index 9013b2f..fa1a8c2 100755
--- a/Doc/tools/mkhowto.sh
+++ b/Doc/tools/mkhowto.sh
@@ -13,7 +13,7 @@ DEFAULT_FORMAT=PDF
USE_DEFAULT_FORMAT=true
DISCARD_TEMPS=true
-HTML_SPLIT_LEVEL=''
+HTML_SPLIT_LEVEL=0
L2H_INIT_FILE=$TOPDIR/perl/l2hinit.perl
# This is needed to support kpathsea based TeX installations. Others are
@@ -55,7 +55,7 @@ EOF
}
build_html() {
- if [ "$HTML_SPLIT_LEVEL" ] ; then
+ if [ "$HTML_SPLIT_LEVEL" -gt 0 ] ; then
if [ "$ADDRESS" ] ; then
latex2html -init_file $L2H_INIT_FILE \
-address "$ADDRESS" \
@@ -76,7 +76,7 @@ build_html() {
$1 || exit $?
fi
fi
- if [ "$HTML_SPLIT_LEVEL" != 1 ] ; then
+ if [ "$HTML_SPLIT_LEVEL" -ne 1 ] ; then
(cd $FILE; $MYDIR/node2label.pl *.html) || exit $?
fi
}
@@ -123,7 +123,7 @@ build_pdf() {
}
build_ps() {
- dvips -N0 -o $1.ps -f $1 || exit $?
+ dvips -N0 -o $1.ps $1 || exit $?
}
cleanup() {